from django.urls import path

from license_info.views import LicenseTokenAPIView, LicenseActivateAutoAPIView, LicenseActivateManualAPIView, \
    LicenseInfoAPIView

urlpatterns = [
    path('', LicenseInfoAPIView.as_view(), name='LicenseInfoAPIView'),
    path('token/<uuid:serial>/', LicenseTokenAPIView.as_view(), name='license_token'),
    path('auto/<uuid:serial>/', LicenseActivateAutoAPIView.as_view(), name='license_activate_auto'),
    path('manual/', LicenseActivateManualAPIView.as_view(), name='license_activate_manual'),
]
